# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit vdr-plugin versionator

MY_PV=$(get_version_component_range 3)
#MY_P="${PN}-${MY_PV}"
S="${WORKDIR}/${PN}-3"

DESCRIPTION="VDR Plugin: for the Reel eHD PCI card"
HOMEPAGE="http://www.reel-multimedia.com"
SRC_URI="http://quirl.org/downloads/${P}.tgz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~x86 ~amd64"
IUSE=""

DEPEND=">=media-video/vdr-1.5.12
	    >=media-video/reelbox-ehd-bin-5976
		media-libs/libmad
		media-libs/libpng
		media-libs/alsa-lib"

src_unpack() {
	vdr-plugin_src_unpack

	cd "${S}"

	epatch "${FILESDIR}/reelbox_makefile.diff"

	# Patching the Makefile
	# MURKS , fix me later

	# Fixing the tr_TR.mo
	sed -i po/tr_TR.po \
		-e "s:msgstr     {:msgstr \"\":"
}
